Bug 737127 - gnome-dvb-daemon crashes on playback of a channel in totem
Summary: gnome-dvb-daemon crashes on playback of a channel in totem
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-dvb-daemon
Version: 15
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-09 17:03 UTC by bernhard.d
Modified: 2012-08-07 15:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 15:27:02 UTC


Attachments (Terms of Use)

Description bernhard.d 2011-09-09 17:03:32 UTC
Description of problem:


Version-Release number of selected component (if applicable):

0.2.1-1.fc15

How reproducible:


Steps to Reproduce:
1. Start totem
2. Select television in side bar
3. Double click on a channel to play it
  
Actual results:

Daemon crashes, see debug output:

default      DEBUG      ChannelFactory.vala:568: Watching channel 3sat (28007)
default      DEBUG      ChannelFactory.vala:585: Creating new PlayerThread: true
default      DEBUG      EPGScanner.vala:75: Stopping EPG scan for group 2 (0)
default      DEBUG      ChannelFactory.vala:118: Creating new pipeline
default      DEBUG      ChannelFactory.vala:457: Element tee0 (0x1a7bab0) added to pipeline
default      DEBUG      ChannelFactory.vala:457: Element bin0 (0x1ab1000) added to pipeline
default      DEBUG      MediaFactory.vala:79: Retrieving sink bin with payloader
default      DEBUG      ChannelFactory.vala:264: Searching for sink pay0 (0x1b580a0) of channel 28007
default      DEBUG      ChannelFactory.vala:283: Found sink

(gnome-dvb-daemon:5316): GLib-GObject-WARNING **: specified class size for type `DVBDVBMedia' is smaller than the parent type's `GstRTSPMedia' class size

(gnome-dvb-daemon:5316): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

(gnome-dvb-daemon:5316): GLib-GObject-CRITICAL **: g_object_new: assertion `G_TYPE_IS_OBJECT (object_type)' failed
Speicherzugriffsfehler (Speicherabzug geschrieben)

Expected results:


Additional info:

Crash happens since recent update of package gstreamer-rtsp. gnome-dvb-daemon has worked before.

Comment 1 Ryan Mitchell 2011-10-02 22:52:47 UTC
I've been suffering from this issue too.  Same similar output from "gnome-dvb-daemon --debug".

- Was unable to watch TV when gstreamer-rtsp-0.10.8-1.fc15.x86_64 was installed.
- "yum downgrade gnome-rtsp" to gnome-rtsp-0.10.7-3.fc15.x86_64 and it now works again.

Comment 2 Sebastian Pölsterl 2011-10-04 14:56:23 UTC
The new version of gstreamer-rtsp broke ABI, therefore you either have to re-compile gnome-dvb-daemon or downgrade gstreamer-rtsp.

Comment 3 Fedora End Of Life 2012-08-07 15:27:05 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.